| QxOrm 1.5.0 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes
qx::QxRestApi Class Reference
QxRestApi : QxOrm library REST API to send requests in JSON format from external application, from web-site or from QML view

qx::QxRestApi : provide a REST API to send requests in JSON format from external application, from web-site or from QML view (https://www.qxorm.com/qxorm_en/manual.html#manual_97) More...

`#include <QxRestApi.h>`

List of all members.

## Public Member Functions
| QxRestApi (QObject *parent=NULL)
virtual | ~QxRestApi ()
Q_INVOKABLE QString | processRequest (const QString &request)
Q_INVOKABLE void | clearAll ()
Q_INVOKABLE QString | getErrorDesc () const
Q_INVOKABLE int | getErrorCode () const
QSqlError | getError () const
Q_INVOKABLE void | setEntity (const QString &entity)
Q_INVOKABLE void | setAction (const QString &action)
Q_INVOKABLE void | setFunction (const QString &fct)
Q_INVOKABLE void | setColumns (const QStringList &columns)
Q_INVOKABLE void | setRelations (const QStringList &relations)
Q_INVOKABLE void | setOutputFormat (const QStringList &outputFormat)
Q_INVOKABLE void | setDatabase (const QString &database)
Q_INVOKABLE void | setQuery (const QString &query)
Q_INVOKABLE void | setData (const QString &data)
Q_INVOKABLE void | setUseExecBatch (bool useExecBatch)
QJsonValue | processRequest (const QJsonValue &request)
void | setData (const QJsonValue &data)
## Private Attributes
std::unique_ptr< QxRestApiImpl > | m_pImpl
| Private implementation idiom.

## Detailed Description

qx::QxRestApi : provide a REST API to send requests in JSON format from external application, from web-site or from QML view (https://www.qxorm.com/qxorm_en/manual.html#manual_97)

Definition at line 67 of file QxRestApi.h.

## Constructor & Destructor Documentation

qx::QxRestApi::QxRestApi | ( | QObject * | parent = `NULL` | ) |

virtual qx::QxRestApi::~QxRestApi | ( |  | ) | `[virtual]`

## Member Function Documentation

Q_INVOKABLE void qx::QxRestApi::clearAll | ( |  | ) |

QSqlError qx::QxRestApi::getError | ( |  | ) | const

Q_INVOKABLE int qx::QxRestApi::getErrorCode | ( |  | ) | const

Q_INVOKABLE QString qx::QxRestApi::getErrorDesc | ( |  | ) | const

Q_INVOKABLE QString qx::QxRestApi::processRequest | ( | const QString & | request | ) |

QJsonValue qx::QxRestApi::processRequest | ( | const QJsonValue & | request | ) |

Q_INVOKABLE void qx::QxRestApi::setAction | ( | const QString & | action | ) |

Q_INVOKABLE void qx::QxRestApi::setColumns | ( | const QStringList & | columns | ) |

Q_INVOKABLE void qx::QxRestApi::setData | ( | const QString & | data | ) |

void qx::QxRestApi::setData | ( | const QJsonValue & | data | ) |

Q_INVOKABLE void qx::QxRestApi::setDatabase | ( | const QString & | database | ) |

Q_INVOKABLE void qx::QxRestApi::setEntity | ( | const QString & | entity | ) |

Q_INVOKABLE void qx::QxRestApi::setFunction | ( | const QString & | fct | ) |

Q_INVOKABLE void qx::QxRestApi::setOutputFormat | ( | const QStringList & | outputFormat | ) |

Q_INVOKABLE void qx::QxRestApi::setQuery | ( | const QString & | query | ) |

Q_INVOKABLE void qx::QxRestApi::setRelations | ( | const QStringList & | relations | ) |

Q_INVOKABLE void qx::QxRestApi::setUseExecBatch | ( | bool | useExecBatch | ) |

## Member Data Documentation

std::unique_ptr<QxRestApiImpl> qx::QxRestApi::m_pImpl`[private]`

Private implementation idiom.

Definition at line 74 of file QxRestApi.h.

The documentation for this class was generated from the following file:

- C:/Dev/_Perso/QxOrm/include/QxRestApi/QxRestApi.h